<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="BillingRep.aspx.vb" Inherits="EasyProjects.Web.GUI.BillingRep"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Billing Report | Easy Projects .NET</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" language="javascript" src="script.js"></script>
		<script language="javascript">
				<!--
				var ArrayTitleHelp = new Array('{BR_SUMMARY}','{RB_DETAILEDTS}');  
				var ArrayHelpText = new Array('{BR_SUMMARY_HELP}','{RB_DETAILEDTS_HELP}');

				function ChangeType(type)
				{					
					var hls = document.getElementById('help_sourse');
					var hltitle = document.getElementById('title');
					
					if(hltitle.childNodes.length > 0)
							hltitle.removeChild(hltitle.childNodes.item(0));
					if(hls.childNodes.length > 0)
							hls.removeChild(hls.childNodes.item(0));				
					hltitle.appendChild(document.createTextNode(ArrayTitleHelp[type]));
					hls.appendChild(document.createTextNode(ArrayHelpText[type]));
				}
				
				//-->
		</script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top">
						<uc1:Banner id="Banner1" runat="server"></uc1:Banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD>
						<table>
							<tr>
								<td>
									<div id="center" class="panel" style="HEIGHT: 100%">
										<!-- table after DIV - tableDiv -->
										<TABLE id="TableDiv" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
											<TR>
												<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
												<TD vAlign="top">
													<!-- Table Report -->
													<TABLE id="TableReport" height="100%" cellSpacing="20" cellPadding="0" width="100%" border="0">
														<TBODY>
															<tr height="1%">
																<td class="title">{BILLINGREP_TITLE}</td>
															</tr>
															<TR vAlign="top" height="*">
																<TD>
																	<!-- begin TableSeection -->
																	<TABLE id="tableSelector" cellSpacing="1" cellPadding="1" width="100%" border="0">
																		<TR>
																			<td class="report-dropdown-full" width="300">
																				<asp:dropdownlist id="listProject" runat="server" Width="300px" CssClass="input"></asp:dropdownlist>
																			</td>
																			<td vAlign="middle" style="WIDTH: 15px">&nbsp;</td>
																			<TD width="10" align="right"><STRONG>Range:</STRONG></TD>
																			<td valign="bottom" width="100">
																				<jsc:JSCalendarControl id="fromDate" runat="server" CssClass="standard-text" Width="80px" CompareValidatorMessage="{COMPAREVALID_DATE_FROM}"
																					RangeValidatorMessage="{RANGEVALID_DATE_FROM}" />
																			</td>
																			<td vAlign="middle" align="right" style="WIDTH: 15px"><strong>&nbsp;To:</strong></td>
																			<td valign="bottom" width="100">
																				<jsc:JSCalendarControl id="toDate" runat="server" CssClass="standard-text" Width="80px" CompareValidatorMessage="{COMPAREVALID_DATE_TO}"
																					RangeValidatorMessage="{RANGEVALID_DATE_TO}" />
																			</td>
																			<td vAlign="middle">&nbsp;</td>
																		</TR>
																		<tr>
																			<td>&nbsp;</td>
																		</tr>
																		<!-- Select Report Type -->
																		<TR>
																			<td width="300">
																				<table border="0">
																					<tr>
																						<TD width="50"><STRONG>Type:</STRONG></TD>
																						<TD vAlign="top" width="150">
																							<asp:RequiredFieldValidator id="RequiredFieldValidator1" runat="server" ErrorMessage="RequiredFieldValidator"
																								ControlToValidate="listProject"></asp:RequiredFieldValidator>
																						</TD>
																					</tr>
																					<tr>
																						<td width="50">&nbsp;</td>
																						<TD width="150">
																							<asp:radiobutton id="radioButtonReportTypeAllBilling" GroupName="0" Checked="True" runat="server"
																								CssClass="standard-text cursorpointer" Text="{BR_SUMMARY}"></asp:radiobutton>
																						</TD>
																					</tr>
																					<tr>
																						<td width="50">&nbsp;</td>
																						<td width="150">
																							<asp:radiobutton id="radioButtonReportTypeTime" GroupName="0" runat="server" CssClass="standard-text cursorpointer"
																								Text="{RB_DETAILEDTS}"></asp:radiobutton>
																						</td>
																					</tr>
																					<TR vAlign="top">
																						<td width="50">&nbsp;</td>
																						<TD width="150">
																							<br>
																							<asp:checkbox id="bUseTaxe" runat="server" Text="{TAX_USE}" Font-Bold="True"></asp:checkbox>
																							<asp:textbox id="TaxRate" runat="server" Width="30px" CssClass="standard-text" ToolTip="{TAX_RATE}"
																								MaxLength="6"></asp:textbox>
																							<asp:label id="Label1" EnableViewState="False" runat="server">%</asp:label>
																							<asp:rangevalidator id="TaxRateValidator" runat="server" ControlToValidate="TaxRate" Type="Double" MaximumValue="999999"
																								MinimumValue="0" ErrorMessage="{VALID_TAXRATE}">*</asp:rangevalidator>
																							<asp:CompareValidator id="cvTaxRate" runat="server" ErrorMessage="Tax rate format is invalid" Type="Integer"
																								ControlToValidate="TaxRate" Operator="DataTypeCheck">*</asp:CompareValidator>
																						</TD>
																					</TR>
																					<TR vAlign="top">
																						<TD colSpan="2">
																							<asp:label id="lblSelectCust" runat="server" Visible="False"><font color="red">*</font>{LABEL_CHOOSECUSTOMER}</asp:label>
																							<asp:radiobuttonlist id="rblCustomers" runat="server" Visible="False" DataTextField="DisplayName" DataValueField="UserID"></asp:radiobuttonlist>
																							<asp:label id="lblPrevPrj" runat="server" Visible="False"></asp:label>
																						</TD>
																					</TR>
																					<tr>
																						<td width="50">&nbsp;</td>
																						<td valign="bottom" align="left">
																							<br>
																							<cc2:myimagebutton id="buttonRefresh" runat="server" DisabledImageUrl="images/refresh_disabled.png"
																								ImageUrl="images/refresh.png"></cc2:myimagebutton>
																						</td>
																					</tr>
																				</table>
																			</td>
																			<td colspan="5">
																				<asp:ValidationSummary id="vsSumm" runat="server" HeaderText="{VALID_SUMM_TEXT}"></asp:ValidationSummary>
																			</td>
																		</TR>
																	</TABLE>
																	<!--end TableSelection -->
																	<br>
																	<!-- Print -->
																	<table cellSpacing="0" height="0" cellPadding="0" border="0">
																		<tr>
																			<td>
																				<asp:image id="PrinterIcon" EnableViewState="False" Visible="false" runat="server" ImageUrl="images/Printer-Icon.jpg"></asp:image>
																			</td>
																			<td>
																				<asp:hyperlink id="hlPrintReport" EnableViewState="False" Visible="false" runat="server" Width="210px"
																					Target="_blank" cssclass="printerlink" NavigateUrl="">{PRINTER}</asp:hyperlink>
																			</td>
																			<TD width="50" align="right">
																				<asp:image id="ExportIcon" EnableViewState="False" Visible="false" runat="server" ImageUrl="images/excel2.gif"></asp:image>
																			</TD>
																			<td>
																				<asp:hyperlink id="hlExport" EnableViewState="False" Visible="false" runat="server" Width="200px"
																					NavigateUrl="CustomReportRun.aspx?export=html" cssclass="printerlink" Target="_blank">{EXCEL}</asp:hyperlink>
																			</td>
																		</tr>
																	</table>
																	<br>
																	<!-- End Print -->
																	<TABLE id="tableNoData" width="100%" cellpadding="0" cellspacing="0" border="0" runat="server">
																		<tr>
																			<td><hr color="black">
																			</td>
																		</tr>
																		<TR>
																			<TD>
																				<br>
																				<table class="report-nodataheader" id="nodataTable">
																					<tr class="report-nodataheader">
																						<td class="report-nodataheader">{NODATAMSG}</td>
																					</tr>
																				</table>
																			</TD>
																		</TR>
																	</TABLE>
																	<!-- Table list -->
																	<span id="spanData" runat="server"></span>
																	<!-- End Table list -->
																</TD>
															</TR>
														</TBODY>
													</TABLE>
													<!-- End TableReport -->
												</TD>
											</TR>
										</TABLE>
										<!-- End table after DIV - tableDiv -->
									</div>
								</td>
								<td width="100%" valign="top" style="PADDING-TOP:11px">
									<TABLE class="panel" id="assigneeTable" cellSpacing="2" cellpadding="2" width="100%" border="0"
										runat="server">
										<TR>
											<TD class="title" style="PADDING-BOTTOM:2px"><img height="21" src="images/ex.gif" width="21" align="absMiddle">&nbsp;</TD>
											<td id="title" class="title" style="PADDING-BOTTOM:2px"></td>
										</TR>
										<TR>
											<td>&nbsp;</td>
											<TD valign="top" style="PADDING-TOP:0px" id="help_sourse"></TD>
										</TR>
									</TABLE>
								</td>
							</tr>
						</table>
					</TD>
				</TR>
				<tr>
					<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
				</tr>
				<TR height="*">
					<TD vAlign="bottom">
						<uc1:Footer id="Footer1" runat="server"></uc1:Footer>
					</TD>
				</TR>
			</TABLE>
			<script language="javascript">
				<!--
					function StartChangeType()
					{					
						var radioButtonReportTypeAllBilling = document.getElementById('<%=radioButtonReportTypeAllBilling.ClientID%>');
						var radioButtonReportTypeTime = document.getElementById('<%=radioButtonReportTypeTime.ClientID%>');
						if(radioButtonReportTypeAllBilling.checked)
						{
							ChangeType(0);
						}
						else
						{
							ChangeType(1);
						}
						
					}					
					StartChangeType();
					//-->
			</script>
		</FORM>
	</body>
</HTML>
