<%@ Register TagPrefix="editor" Namespace="DescriptionEditor" Assembly="DescriptionEditor" %>
<%@ Register TagPrefix="TimeTracker" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="WflHistory" Src="WflHistory.ascx" %>
<%@ Register TagPrefix="cc3" Namespace="EasyProjects.Web.DatePicker" Assembly="EasyProjects.Web.DatePicker" %>
<%@ Page Language="vb" AutoEventWireup="false" validateRequest="false" Codebehind="BugDetails.aspx.vb" Inherits="EasyProjects.Web.GUI.BugDetails" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="UploadControl" Src="UploadControl.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Bug Details | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio.NET 7.0" name="GENERATOR">
		<meta content="Visual Basic 7.0" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
		<script language="javascript" src="menu.js" type="text/javascript"></script>
		<script language="javascript">
					// this function sets status and priority values
					function SetTypeAndPriority()
					{
						var bugTypeValue = document.getElementById('BugTypeValue'),
								priorityValue = document.getElementById('PriorityValue'),
								bugType = document.getElementById('BugType'),
								priority = document.getElementById('Priority');
						
						if(bugTypeValue != null && bugType != null)
							bugTypeValue.value = bugType.value;
						
						if(priorityValue != null && priority != null)
							priorityValue.value = priority.value;
					}
					
					// if the bug is associated with a task, ask the user
					// to change the task status to completed if this bug
					// status changes to some that is should be "treated as completed"
					function ChangeStatus(taskStatusValue)
					{
						var statusList = document.getElementById('StatusList');
						var saveStatus = document.getElementById('doSaveStatus');
						
						if(statusList != null && saveStatus != null && taskStatusValue != 4)
						{
							var i;
							for (i=0;i<completedBugStatuses.length;i++)
							if (completedBugStatuses[i] == statusList.value)
							{
								saveStatus.value = confirm("{CHANGE_STAT_MSG}");
								return;
							}
						}
					}
		</script>
	</HEAD>
	<body id="pageBody" MS_POSITIONING="FlowLayout" runat="server">
		<FORM id="BugDetails" method="post" encType="multipart/form-data" runat="server">
			<INPUT id="doSaveStatus" type="hidden" name="doSaveStatus" runat="server"> <input id="BugTypeValue" type="hidden" value="0" name="BugTypeValue" runat="server">
			<input id="PriorityValue" type="hidden" value="0" name="PriorityValue" runat="server">
			<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<tr vAlign="top" height="5%">
					<td class="rep_tab_bg">
						<TABLE id="Table1" height="10%" cellSpacing="0" cellPadding="0" width="100%" border="0">
							<TR>
								<TD vAlign="top" height="46"><timetracker:banner id="Banner1" runat="server"></timetracker:banner></TD>
							</TR>
						</TABLE>
					</td>
				</tr>
				<tr vAlign="top" height="95%">
					<td>
						<table height="100%" cellSpacing="10" cellPadding="0" width="100%">
							<tr>
								<td vAlign="top">
									<table id="tblDisabledBug" cellSpacing="0" cellPadding="0" width="100%" runat="server">
										<tr>
											<td>
												<TABLE class="panel" id="tblCompletedBug" cellSpacing="0" cellPadding="20" width="100%"
													border="0" runat="server">
													<tr>
														<td><FONT color="red">*</FONT>&nbsp;{DIS_BUG_1}&nbsp;<A href="UserOptions.aspx">{USER_OPS}</A>&nbsp;{DIS_BUG_2}
														</td>
													</tr>
												</TABLE>
											</td>
										</tr>
									</table>
									<TABLE id="tblBugInfo" height="88.5%" cellSpacing="10" cellPadding="10" border="0" runat="server">
										<TR>
											<TD id="left" vAlign="top">
												<TABLE class="panel" id="Table3" cellSpacing="10" cellPadding="0" width="100%" border="0">
													<TR>
														<TD class="title" vAlign="top">{BUGDETAILS_TITLE}</TD>
													</TR>
													<TR height="10">
														<TD vAlign="top">
															<TABLE id="Table4" cellSpacing="0" cellPadding="0" width="100%" border="0">
																<TR>
																	<TD align="left" colSpan="2"></TD>
																	<TD align="right">
																		<TABLE style="WIDTH: 100%; HEIGHT: 100%" cellSpacing="2" cellPadding="2" border="0">
																			<TR vAlign="middle">
																				<TD style="WIDTH: 90%; HEIGHT: 100%" align="left"><asp:hyperlink id="hlMsgBrd" runat="server" ImageUrl="images/View_Message_Board.png">View Message Board</asp:hyperlink></TD>
																				<TD><cc2:myimagebutton id="SaveNAddBtn1" runat="server" ImageUrl="images/save_and_add_similar.png" DisabledImageUrl="images/save_and_add_similar_disabled.png"></cc2:myimagebutton></TD>
																				<TD><cc2:myimagebutton id="SaveNCloseBtn1" runat="server" ImageUrl="images/save_and_close.png" DisabledImageUrl="images/save_and_close_disabled.png"></cc2:myimagebutton></TD>
																				<TD><cc2:myimagebutton id="SaveBtn1" runat="server" ImageUrl="images/apply.png" DisabledImageUrl="images/apply_disabled.png"></cc2:myimagebutton></TD>
																				<TD><cc2:myimagebutton id="CancelBtn1" runat="server" ImageUrl="images/cancel.png" DisabledImageUrl="images/cancel_disabled.png"
																						CausesValidation="False"></cc2:myimagebutton></TD>
																				<TD><cc2:myimagebutton id="DeleteBtn1" runat="server" ImageUrl="images/delete.png" DisabledImageUrl="images/delete_disabled.png"
																						CausesValidation="False"></cc2:myimagebutton></TD>
																				<TD><IMG height="8" src="images/spacer.gif" width="8"></TD>
																				<TD align="center" width="20%"><asp:hyperlink id="hlPrev" runat="server" ImageUrl="images/_Previous.gif">Previous</asp:hyperlink></TD>
																				<TD><asp:hyperlink id="hlNext" runat="server" ImageUrl="images/_Next.gif">Next</asp:hyperlink></TD>
																			</TR>
																		</TABLE>
																	</TD>
																</TR>
															</TABLE>
															<P>
																<TABLE id="Table10" cellSpacing="1" cellPadding="1" width="100%" border="0">
																	<TR>
																		<TD class="ex"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle">&nbsp;{INFO_MSG}</TD>
																	</TR>
																</TABLE>
															</P>
															<asp:validationsummary id="vsSummary" runat="server" Width="660px" HeaderText="{VALID_SUMM_TEXT}"></asp:validationsummary></TD>
													</TR>
													<TR height="*">
														<TD vAlign="top">
															<TABLE id="Table5" style="VERTICAL-ALIGN: bottom" cellSpacing="2" cellPadding="2" width="100%"
																border="0">
																<TR>
																	<TD colSpan="3"><STRONG><FONT size="1">{CPT_TITLE} </FONT></STRONG>
																		<asp:customvalidator id="cvSummTag" runat="server" ControlToValidate="Summary">*</asp:customvalidator><asp:requiredfieldvalidator id="RequiredFieldValidator3" runat="server" ErrorMessage="{VAL_SUMM}" ControlToValidate="Summary">*</asp:requiredfieldvalidator><IMG height="11" src="images/spacer.gif" width="1"></TD>
																</TR>
																<TR width="100%">
																	<TD colSpan="3"><asp:textbox id="Summary" runat="server" CssClass="input" Width="100%" MaxLength="100"></asp:textbox></TD>
																</TR>
																<TR>
																	<TD vAlign="top"><STRONG><FONT size="1">{CPT_SUBM_BY}</FONT></STRONG></TD>
																	<TD vAlign="top"><STRONG><FONT size="1">{CPT_SUBM_DATE}</FONT></STRONG></TD>
																	<TD vAlign="top"><STRONG><FONT size="1">{CPT_STATUS_CHANGE}</FONT></STRONG></TD>
																</TR>
																<TR>
																	<TD vAlign="top"><asp:label id="lblSubmittedBy" runat="server" CssClass="highlight"></asp:label></TD>
																	<TD vAlign="top"><asp:label id="EntryDate" runat="server" CssClass="highlight"></asp:label></TD>
																	<TD vAlign="top"><asp:label id="lastStatusDate" runat="server" CssClass="highlight"></asp:label></TD>
																</TR>
																<TR height="*">
																	<TD vAlign="top">
																		<TABLE id="Table2" cellSpacing="2" cellPadding="2" width="100%" border="0">
																			<TR>
																				<TD><STRONG><FONT size="1">{CPT_PROJECT}:
																							<asp:requiredfieldvalidator id="rfvProject" runat="server" ErrorMessage="{VAL_PROJ}" ControlToValidate="ProjectList">* </asp:requiredfieldvalidator></FONT></STRONG></TD>
																			</TR>
																			<TR>
																				<TD><asp:dropdownlist id="ProjectList" runat="server" width="264px" DataValueField="ProjectID" DataTextField="Name"
																						cssclass="input"></asp:dropdownlist></TD>
																			</TR>
																			<TR>
																				<TD><STRONG><FONT size="1">{CPT_STATUS}:</FONT></STRONG></TD>
																			</TR>
																			<TR>
																				<TD><asp:dropdownlist id="StatusList" runat="server" width="264px" cssclass="input"></asp:dropdownlist></TD>
																			</TR>
																			<TR>
																				<TD><STRONG><FONT size="1">{CPT_TYPE}:</FONT></STRONG></TD>
																			</TR>
																			<TR>
																				<TD><asp:dropdownlist id="BugType" runat="server" width="264px" cssclass="input">
																						<asp:ListItem Value="Select a project">Select a project</asp:ListItem>
																					</asp:dropdownlist></TD>
																			</TR>
																			<TR>
																				<TD><STRONG><FONT size="1">{CPT_PRIORITY}:</FONT></STRONG></TD>
																			</TR>
																			<TR>
																				<TD><asp:dropdownlist id="Priority" runat="server" width="264px" cssclass="input">
																						<asp:ListItem Value="Select a project">Select a project</asp:ListItem>
																					</asp:dropdownlist></TD>
																			</TR>
																		</TABLE>
																	</TD>
																	<TD vAlign="top" colSpan="2" Width="100%"><STRONG><FONT size="1">
																				<TABLE id="Table9" cellSpacing="1" cellPadding="1" width="100%" border="0">
																					<TR>
																						<TD height="20">
																							<STRONG><FONT size="1">{CPT_DESCR}: </FONT></STRONG>
																							<asp:CustomValidator ID="customValid_Description" OnServerValidate="Description_Validate" Runat="server"
																								ForeColor="red" ErrorMessage="Description is a required field <br>">*</asp:CustomValidator>
																						</TD>
																					</TR>
																					<TR>
																						<TD width="520" valign="top">
																							<EDITOR:EDITOR id="Description" height="520px" runat="server" width="100%"></EDITOR:EDITOR>
																						</TD>
																					</TR>
																				</TABLE>
																			</FONT></STRONG>
																		<BR>
																		<BR>
																		<BR>
																	</TD>
																</TR>
																<TR>
																	<TD class="header-gray" id="tdAttach" vAlign="top" colSpan="3" runat="server"><BR>
																		<STRONG>{ATTACH_INFO}:</STRONG>
																		<BR>
																		<BR>
																		<uc1:uploadcontrol id="Uploader" runat="server"></uc1:uploadcontrol></TD>
																</TR>
															</TABLE>
															<P><uc1:wflhistory id="WflHistory" runat="server" Visible="False"></uc1:wflhistory></P>
														</TD>
													</TR>
													<TR>
														<TD vAlign="top" align="right">
															<TABLE cellSpacing="0" cellPadding="0" width="100%" border="0">
																<TR>
																	<TD align="right">
																		<TABLE style="WIDTH: 100%; HEIGHT: 100%" cellSpacing="2" cellPadding="2" border="0">
																			<TR vAlign="middle">
																				<TD style="WIDTH: 90%; HEIGHT: 100%" align="left"><asp:hyperlink id="hlMsgBrd2" runat="server" ImageUrl="images/View_Message_Board.png">View Message Board</asp:hyperlink></TD>
																				<TD><cc2:myimagebutton id="SaveNAddBtn2" runat="server" ImageUrl="images/save_and_add_similar.png" DisabledImageUrl="images/save_and_add_similar_disabled.png"></cc2:myimagebutton></TD>
																				<TD><cc2:myimagebutton id="SaveNCloseBtn2" runat="server" ImageUrl="images/save_and_close.png" DisabledImageUrl="images/save_and_close_disabled.png"></cc2:myimagebutton></TD>
																				<TD><cc2:myimagebutton id="SaveBtn2" runat="server" ImageUrl="images/apply.png" DisabledImageUrl="images/apply_disabled.png"></cc2:myimagebutton></TD>
																				<TD><cc2:myimagebutton id="CancelBtn2" runat="server" ImageUrl="images/cancel.png" DisabledImageUrl="images/cancel_disabled.png"
																						CausesValidation="False"></cc2:myimagebutton></TD>
																				<TD><cc2:myimagebutton id="DeleteBtn2" runat="server" ImageUrl="images/delete.png" DisabledImageUrl="images/delete_disabled.png"
																						CausesValidation="False"></cc2:myimagebutton></TD>
																				<TD><IMG height="8" src="images/spacer.gif" width="8"></TD>
																				<TD align="center" width="20%"><asp:hyperlink id="hlPrev2" runat="server" ImageUrl="images/_Previous.gif">Previous</asp:hyperlink></TD>
																				<TD><asp:hyperlink id="hlNext2" runat="server" ImageUrl="images/_Next.gif">Next</asp:hyperlink></TD>
																			</TR>
																		</TABLE>
																	</TD>
																</TR>
															</TABLE>
														</TD>
													</TR>
												</TABLE>
											</TD>
											<TD id="right" vAlign="top" align="left" width="25%">
												<TABLE id="aa" cellSpacing="0" cellPadding="0" width="100%" border="0">
													<TR>
														<TD id="tdAssInfo" vAlign="top" runat="server">
															<TABLE class="panel" id="tblAssInfo" style="TEXT-ALIGN: justify" borderColor="#000000"
																cellSpacing="2" cellPadding="2" width="100%" runat="server">
																<TR>
																	<TD class="title" bgColor="#ffffff" colSpan="2">{ASSINFO}</TD>
																</TR>
																<TR>
																	<TD id="Td1" bgColor="#ffffff" colSpan="2" runat="server">{BUG_ASSIGNED_TO}:<BR>
																		<BR>
																		<asp:label id="lblAssInfo" runat="server" CssClass="highlight" Font-Bold="True">[{UNASSIGNED}]</asp:label></TD>
																</TR>
																<TR>
																	<TD width="21" bgColor="#ffffff"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle"></TD>
																	<TD class="ex" id="Td2" bgColor="#ffffff">{ASSINFO_MSG}</TD>
																</TR>
																<TR>
																	<TD vAlign="middle" bgColor="#ffffff"><asp:imagebutton id="hlJToTask" runat="server" ImageUrl="images/go.gif" ImageAlign="AbsMiddle"></asp:imagebutton></TD>
																	<TD id="Td3" vAlign="middle" bgColor="#ffffff">{CLICKHERE_REST}</TD>
																</TR>
															</TABLE>
														</TD>
													</TR>
													<TR>
														<TD id="tdAssDetails" vAlign="top" runat="server">
															<TABLE class="panel" id="tblAssign" borderColor="#000000" cellSpacing="2" cellPadding="2"
																width="100%" border="0" runat="server">
																<TR>
																	<TD class="title" bgColor="#ffffff" colSpan="2">{ASSINFO}</TD>
																</TR>
																<TR>
																	<TD class="filter-title" bgColor="#ffffff" colSpan="2"><FONT size="1">{CPT_PM}:&nbsp;
																		</FONT>
																		<asp:requiredfieldvalidator id="rqfAssignee" runat="server" ErrorMessage="{VAL_PM}" ControlToValidate="Members"
																			EnableClientScript="False" Height="4px">*</asp:requiredfieldvalidator></TD>
																</TR>
																<TR>
																	<TD bgColor="#ffffff" colSpan="2">
																		<asp:listbox id="Members" runat="server" Width="100%" DataValueField="UserID" DataTextField="DisplayName"
																			cssclass="input" Height="122px" rows="9"></asp:listbox></TD>
																</TR>
																<TR>
																	<TD bgColor="#ffffff" colSpan="2"><STRONG><FONT size="1">{CPT_CATEGORY}:&nbsp; </FONT>
																		</STRONG>
																		<asp:requiredfieldvalidator id="Requiredfieldvalidator4" runat="server" ErrorMessage="{VAL_CAT}" ControlToValidate="CategoryList"
																			EnableClientScript="False" Height="4px">*</asp:requiredfieldvalidator></TD>
																</TR>
																<TR>
																	<TD bgColor="#ffffff" colSpan="2"><STRONG><FONT size="1"> </FONT></STRONG>
																		<asp:dropdownlist id="CategoryList" runat="server" width="100%" DataValueField="CategoryID" DataTextField="Name"
																			cssclass="input"></asp:dropdownlist>
																	</TD>
																</TR>
																<TR>
																	<TD style="WIDTH: 140px" bgColor="#ffffff"><STRONG><FONT size="1">{CPT_ENDDATE}:</FONT></STRONG></TD>
																	<TD bgColor="#ffffff"><STRONG><FONT size="1">{CPT_ESTDUR}:
																				<asp:comparevalidator id="DurationCompareValidator" runat="server" ErrorMessage="{VAL_DUR_1}" Width="2px"
																					ControlToValidate="Duration" EnableClientScript="False" Type="Integer" Operator="DataTypeCheck">*</asp:comparevalidator><asp:requiredfieldvalidator id="DurationRequiredFieldValidator" runat="server" ErrorMessage="{VAL_DUR_2}" Width="2px"
																					ControlToValidate="Duration" EnableClientScript="False">*</asp:requiredfieldvalidator><asp:rangevalidator id="RangeValidator1" runat="server" ErrorMessage="{VAL_DUR_3}" Width="2px" ControlToValidate="Duration"
																					EnableClientScript="False" Type="Integer" MinimumValue="0" MaximumValue="99999">*</asp:rangevalidator></FONT></STRONG></TD>
																</TR>
																<TR>
																	<TD style="WIDTH: 140px; HEIGHT: 55px" vAlign="top" bgColor="#ffffff"><cc3:jsdatepicker id="EstCompletionDate" runat="server" CssClass="input" Width="100px" RangeValidatorMessage="{VAL_ESTCOM_2}"
																			CompareValidatorMessage="{VAL_ESTCOM_1}"></cc3:jsdatepicker><A href="javascript:OpenCalendar('CompletionDate', false)"></A></TD>
																	<TD style="HEIGHT: 55px" vAlign="top" bgColor="#ffffff">
																		<P><asp:textbox id="Duration" runat="server" Width="49px" MaxLength="5" cssclass="input" columns="12"></asp:textbox>{HRS}
																		</P>
																	</TD>
																</TR>
																<TR>
																	<TD bgColor="#ffffff" colSpan="2"><cc2:myimagebutton id="AssignBtn" runat="server" ImageUrl="images/assign.png" DisabledImageUrl="images/assign_disabled.png"></cc2:myimagebutton></TD>
																</TR>
															</TABLE>
														</TD>
													</TR>
													<TR>
														<TD vAlign="top">
															<TABLE class="panel" id="tblAutoAssInfo" cellSpacing="2" cellPadding="2" width="100%" border="0"
																runat="server">
																<TR>
																	<TD class="title" colSpan="2">{AUTO_ASSINFO}</TD>
																</TR>
																<TR>
																	<TD class="ex" width="21"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle"></TD>
																	<TD class="ex">&nbsp;{AUTO_INFO_ONE}
																	</TD>
																</TR>
																<TR>
																	<TD class="ex"></TD>
																	<TD class="ex">&nbsp;{AUTO_INFO_TWO}</TD>
																</TR>
															</TABLE>
														</TD>
													</TR>
												</TABLE>
											</TD>
										</TR>
									</TABLE>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr height="*">
					<td vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></td>
				</tr>
			</table>
		</FORM>
	</body>
</HTML>
