<%@ Page Language="vb" AutoEventWireup="false" Codebehind="CustomerRep.aspx.vb" Inherits="EasyProjects.Web.GUI.CustomerRep"%>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Customer Reports | Easy Projects .NET</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" language="javascript" src="script.js"></script>
			<script language="javascript">
				<!--
				var ArrayTitleHelp = new Array('{BR_SUMMARY}','{RB_DETAILEDTS}');  
				var ArrayHelpText = new Array('{BR_SUMMARY_HELP}','{RB_DETAILEDTS_HELP}');

				function ChangeType(type)
				{					
					var hls = document.getElementById('help_sourse');
					var hltitle = document.getElementById('title');
					
					if(hltitle.childNodes.length > 0)
							hltitle.removeChild(hltitle.childNodes.item(0));
					if(hls.childNodes.length > 0)
							hls.removeChild(hls.childNodes.item(0));				
					hltitle.appendChild(document.createTextNode(ArrayTitleHelp[type]));
					hls.appendChild(document.createTextNode(ArrayHelpText[type]));
				}
				
				//-->
		</script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top">
						<uc1:Banner id="Banner1" runat="server"></uc1:Banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD>
						<table>
							<tr>
								<td>
						<div id="center" class="panel" style="HEIGHT: 100%">
							<!-- table after DIV - tableDiv -->
							<TABLE id="TableDiv" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
								<TR>
									<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
									<TD vAlign="top">
										<!-- Table Report -->
										<TABLE id="TableReport" height="100%" cellSpacing="20" cellPadding="0" width="100%" border="0">
											<TBODY>
												<tr height="1%">
													<td class="title">{CUSTOMERREP_TITLE}</td>
												</tr>
												<TR vAlign="top" height="*">
													<TD>
														<!-- begin TableSeection -->
														<TABLE id="tableSelector" class="filter-table" cellSpacing="1" cellPadding="1" width="100%" border="0">
															<TR>
																<td style="PADDING: 15px" width="300">
																	<asp:dropdownlist id="listProject" runat="server" Width="300px" CssClass="input"></asp:dropdownlist>
																</td>
																<td vAlign="middle" style="WIDTH: 15px">&nbsp;</td>
																<TD width="10" align="right"><STRONG>From:</STRONG></TD>
																<td valign="bottom" width="100">
																	<jsc:JSCalendarControl id="fromDate" runat="server" CssClass="standard-text" Width="80px" CompareValidatorMessage="{COMPAREVALID_DATE_FROM}"
																		RangeValidatorMessage="{RANGEVALID_DATE_FROM}" />
																</td>
																<td vAlign="middle" align="right" style="WIDTH: 15px"><strong>&nbsp;To:</strong></td>
																<td valign="bottom" width="100">
																	<jsc:JSCalendarControl id="toDate" runat="server" CssClass="standard-text" Width="80px" CompareValidatorMessage="{COMPAREVALID_DATE_TO}"
																		RangeValidatorMessage="{RANGEVALID_DATE_TO}" />
																</td>
																<td vAlign="middle">&nbsp;</td>
															</TR>
															<tr>
																<td>
																	<asp:RequiredFieldValidator id="RequiredFieldValidator1" runat="server" ErrorMessage="RequiredFieldValidator"
																		ControlToValidate="listProject"></asp:RequiredFieldValidator>
																</td>
															</tr>
															<!-- Select Report Type -->
															<TR>
																<td width="300">
																	<table>
																		<tr>
																			<TD><STRONG>Type:</STRONG></TD>																			
																		</tr>
																		<tr>
																			<TD>
																				<asp:radiobutton id="radioButtonReportTypeProjectSummary" Checked="True" GroupName="0" runat="server"
																					CssClass="standard-text cursorpointer" Text="{BR_SUMMARY}"></asp:radiobutton>
																			</TD>
																		</tr>
																		<tr>
																			<td>
																				<asp:radiobutton id="radioButtonReportDetailedTS" runat="server" GroupName="0" CssClass="standard-text cursorpointer"
																					Text="{RB_DETAILEDTS}"></asp:radiobutton>
																			</td>
																		</tr>
																		<tr>
																			<td valign="bottom" align="left">
																				<br>
																				<cc2:myimagebutton id="buttonRefresh" runat="server" DisabledImageUrl="images/refresh_disabled.png"
																					ImageUrl="images/refresh.png"></cc2:myimagebutton>
																			</td>
																		</tr>
																	</table>
																</td>
																<td colspan="5">
																	<asp:ValidationSummary id="vsSumm" runat="server" HeaderText="{VALID_SUMM_TEXT}"></asp:ValidationSummary>
																</td>
															</TR>
														</TABLE>
														<!--end TableSelection -->
														<br>
														<!-- Print -->
														<table cellSpacing="0" cellPadding="0" border="0">
															<tr>
																<td>
																	<asp:image id="PrinterIcon" EnableViewState="False" Visible="false" runat="server" ImageUrl="images/Printer-Icon.jpg"></asp:image>&nbsp;
																</td>
																<td>
																	<asp:hyperlink id="hlPrintReport" EnableViewState="False" Visible="false" runat="server" Width="210px"
																		Target="_blank" cssclass="printerlink" NavigateUrl="">{PRINTER}</asp:hyperlink>
																</td>
																<TD width="50" align="right">
																	<asp:image id="ExportIcon" EnableViewState="False" Visible="false" runat="server" ImageUrl="images/excel2.gif"></asp:image>
																	&nbsp;
																</TD>
																<td>
																	<asp:hyperlink id="hlExport" EnableViewState="False" Visible="false" runat="server" Width="200px"
																		NavigateUrl="CustomReportRun.aspx?export=html" cssclass="printerlink" Target="_blank">{EXCEL}</asp:hyperlink>
																</td>
															</tr>
														</table>
														<!-- End Print -->
														<br>
														<br>
														<TABLE id="tableNoData" width="100%" border="0" runat="server">
															<tr>
																<td><hr color="black">
																</td>
															</tr>
															<TR>
																<TD>
																	<TABLE id="noDataTable" width="100%" border="0">
																		<TR>
																			<TD>{NODATAMSG}</TD>
																		</TR>
																	</TABLE>
																</TD>
															</TR>
														</TABLE>
														<!-- Table Buglist -->
														<TABLE id="tableList" cellSpacing="0" cellPadding="0" width="100%" border="0" runat="server">
															<TR>
																<TD>
																	<STRONG>
																		<asp:Label ID="labelReportTypeTitle" EnableViewState="False" Visible="false" Runat="server"></asp:Label>
																		<asp:label id="labelFor" EnableViewState="False" Visible="false" runat="server" CssClass="title"></asp:label>
																	</STRONG>
																</TD>
															</TR>
															<tr>
																<td><BR>
																</td>
															</tr>
															<tr>
																<td>
																	<asp:datagrid id="grid1" runat="server"></asp:datagrid>
																	<BR>
																</td>
															</tr>
															<tr>
																<td>
																	<asp:datagrid id="grid2" runat="server"></asp:datagrid>
																	<BR>
																</td>
															</tr>
														</TABLE>
														<!-- End Table Buglist -->
													</TD>
												</TR>
											</TBODY>
										</TABLE>
										<!-- End TableReport -->
									</TD>
								</TR>
							</TABLE>
							<!-- End table after DIV - tableDiv -->
						</div>
							</td>
								<td width="100%" valign="top" style="PADDING-TOP:11px">
									<TABLE class="panel"  cellSpacing="2" cellpadding="2"  
										width="100%" border="0" >
										<TR>
											<TD class="title" style="padding-bottom:2px"><img height="21" src="images/ex.gif" width="21" align="absMiddle">&nbsp;</TD>
											<td id="title"  class="title" style="padding-bottom:2px"></td>
										</TR>
										<TR>
											<td>&nbsp;</td>
											<TD valign="top" style="padding-top:0px;" id="help_sourse"></TD>
										</TR>
									</TABLE>
								</td>
							</tr>
						</table>
					</TD>
				</TR>
				<tr>
					<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
				</tr>
				<TR height="*">
					<TD vAlign="bottom">
						<uc1:Footer id="Footer1" runat="server"></uc1:Footer>
					</TD>
				</TR>
			</TABLE>
			<script language=javascript>
				<!--
					function StartChangeType()
					{					
						var radioButtonReportTypeProjectSummary = document.getElementById('<%=radioButtonReportTypeProjectSummary.ClientID%>');
						var radioButtonReportDetailedTS = document.getElementById('<%=radioButtonReportDetailedTS.ClientID%>');
						if(radioButtonReportTypeProjectSummary.checked)
						{
							ChangeType(0);
						}
						else
						{
							ChangeType(1);
						}
						
					}					
					StartChangeType();
					//-->
			</script>

		</FORM>
	</body>
</HTML>
