<%@ Register TagPrefix="uc1" TagName="ObjectCardMenu" Src="ObjectCardMenu.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="TEDetails.aspx.vb" Inherits="EasyProjects.Web.GUI.TEDetails"%>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Entry Log Record Details | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body>
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD>
						<div class="panel" style="MARGIN: 10px; WIDTH: 750px">
							<TABLE id="Table3" style="PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px"
								cellSpacing="10" cellPadding="0" width="100%" border="0">
								<TBODY>
									<TR>
										<TD class="title" vAlign="middle" align="left">{TE_TITLE}</TD>
										<td vAlign="middle" align="right"><uc1:objectcardmenu enableviewstate="false" id="topButtons" runat="server"></uc1:objectcardmenu></td>
									</TR>
									<TR height="10">
										<TD vAlign="top" colSpan="2">
											<TABLE class="ex" width="100%" border="0">
												<TR>
													<TD vAlign="top"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle">&nbsp;{INFO_MSG}</TD>
												</TR>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<td colSpan="2">
											<asp:validationsummary id="ValidationSummary1" runat="server" HeaderText="{VALID_SUMM_TEXT}" Width="100%"></asp:validationsummary></td>
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="top" colSpan="2">
						<TABLE id="Table5" cellSpacing="5" cellPadding="5" width="100%" border="0">
							<TR height="*">
								<TD vAlign="top" width="30%">
									<TABLE id="Table6" cellSpacing="0" cellPadding="0" width="204" border="0">
										<TR>
											<TD style="WIDTH: 224px"><STRONG>Project&nbsp;
													<asp:requiredfieldvalidator id="RequiredFieldValidator2" runat="server" ErrorMessage="Project is a required field"
														ControlToValidate="ProjectList">*</asp:requiredfieldvalidator><BR>
												</STRONG>
												<asp:dropdownlist id=ProjectList runat="server" CssClass="standard-text" Width="100%" DataTextField="Name" DataValueField="ProjectID" DataMember="TT_Projects" DataSource="<%# entryRec %>" AutoPostBack="True">
												</asp:dropdownlist><BR>
											</TD>
										</TR>
										<TR>
											<TD><BR>
											</TD>
										</TR>
										<TR>
											<TD style="WIDTH: 224px"><STRONG>Task</STRONG>
												<asp:requiredfieldvalidator id="Requiredfieldvalidator3" runat="server" ErrorMessage="Task is a required field"
													ControlToValidate="TaskList">*</asp:requiredfieldvalidator><BR>
												<asp:dropdownlist id=TaskList runat="server" CssClass="standard-text" Width="100%" DataTextField="Title" DataValueField="TaskID" DataMember="TT_Tasks" DataSource="<%# entryRec %>">
												</asp:dropdownlist><BR>
											</TD>
										</TR>
										<TR>
											<TD><BR>
											</TD>
										</TR>
										<TR>
											<TD style="WIDTH: 224px">
												<TABLE id="Table7" cellSpacing="0" cellPadding="0" width="100%" border="0">
													<TR>
														<TD style="HEIGHT: 11px"><STRONG>Entry&nbsp;Date</STRONG></TD>
														<TD style="HEIGHT: 11px"><STRONG>Hours
																<asp:comparevalidator id="DurationCompareValidator" runat="server" ErrorMessage="Duration must be decimal "
																	Width="4px" ControlToValidate="Duration" Type="Double" Operator="DataTypeCheck">*</asp:comparevalidator><asp:rangevalidator id="RangeValidator1" runat="server" ErrorMessage="Duration is out of range " Width="4px"
																	ControlToValidate="Duration" Type="Currency" MinimumValue="0,01" MaximumValue="24">*</asp:rangevalidator><asp:requiredfieldvalidator id="RequiredFieldValidator5" runat="server" ErrorMessage="Hours is a required field "
																	ControlToValidate="Duration">*</asp:requiredfieldvalidator></STRONG></TD>
													</TR>
													<TR>
														<TD><jsc:JSCalendarControl id=EntryDate runat="server" CssClass="standard-text" Width="100px" ShowUpperBlankLine="False" IsEmpty="True" PostBackOnChange="False" Date='<%# DataBinder.Eval(entryRec, "Tables[TT_EntryLog].DefaultView.[0].EntryDate", "{0:d}") %>' IsValid="True" IsRequiredField="True" RequiredValidatorMessage="Entry date is a required field" RangeValidatorMessage="Entry date is out of range" CompareValidatorMessage="Entry date format is incorrect" /></TD>
														<TD vAlign="top"><asp:textbox id=Duration runat="server" Width="49px" Text='<%# DataBinder.Eval(entryRec, "Tables[TT_EntryLog].DefaultView.[0].Duration") %>' columns="12" cssclass="standard-text">
															</asp:textbox></TD>
													</TR>
												</TABLE>
											</TD>
										</TR>
										<TR vAlign="middle">
											<TD style="WIDTH: 224px"><STRONG><br>
													Entered by<BR>
												</STRONG>
												<asp:label id=EntryUser runat="server" Text='<%# DataBinder.Eval(entryRec, "Tables[TT_Users].DefaultView.[0].DisplayName") %>'>
												</asp:label></TD>
										</TR>
										<TR>
											<TD style="WIDTH: 224px"></TD>
										</TR>
									</TABLE>
								</TD>
								<TD vAlign="top" colSpan="2"><STRONG>Description
										<asp:requiredfieldvalidator id="Requiredfieldvalidator1" runat="server" ErrorMessage="Description is a required field  <br>"
											ControlToValidate="Description" Height="4px">*</asp:requiredfieldvalidator></STRONG><BR>
									<asp:textbox id=Description runat="server" Width="100%" Text='<%# HttpUtility.HtmlDecode( DataBinder.Eval(entryRec, "Tables[TT_EntryLog].DefaultView.[0].Description").ToString() ) %>' columns="20" cssclass="standard-text-big" Height="369px" TextMode="MultiLine" rows="8">
									</asp:textbox><BR>
								</TD>
							</TR>
						</TABLE>
					</TD>
				</TR>
				<TR>
					<TD vAlign="top" align="right" colSpan="2"><uc1:objectcardmenu enableviewstate="false" id="bottomButtons" runat="server"></uc1:objectcardmenu></TD>
				</TR>
			</TABLE>
			</DIV></TD></TR>
			<TR height="*">
				<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
			</TR>
			</TBODY></TABLE></FORM>
	</body>
</HTML>
