<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="UserList.aspx.vb" Inherits="EasyProjects.Web.GUI.UserList"%>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="uc2" TagName="RichGridPagers" Src="./Controls/RichGridPagers.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>User List | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD style="PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px">
						<TABLE class="panel" id="Table3" height="1%" cellSpacing="10" cellPadding="10" width="100%"
							border="0">
							<TR height="1%">
								<TD class="title">{USERLISTPAGE_TITLE}</TD>
							</TR>
							<TR>
								<td>
									<table cellpadding="0" cellspacing="0" border="0" width="100%">
										<tr>
											<TD id="tdNewUser" runat="server" align="left"><cc2:myimagebutton id="NewUserButton" runat="server" DisabledImageUrl="images/create_new_user_disabled.png"
													ImageUrl="images/create_new_user.png"></cc2:myimagebutton><br>
												<br>
											</TD>
										</tr>
										<tr class="ex2">
											<td align="left"><img height="21" src="images/ex.gif" width="21" align="absMiddle">&nbsp;<asp:Label id="labelUsersCount" Runat="server"></asp:Label></td>
										</tr>
									</table>
								</td>
							</TR>
							<TR vAlign="top" height="*">
								<TD id="tdUserList" runat="server">
									<TABLE id="nodataTable" width="100%" border="0" runat="server">
										<TR>
											<TD>{NODATAMSG}</TD>
										</TR>
									</TABLE>
									<asp:datagrid id="UsersGrid" runat="server" CssClass="object-list" AllowSorting="True" AllowPaging="True"
										PageSize="30" AutoGenerateColumns="False" BorderStyle="Solid">
										<AlternatingItemStyle CssClass="list-alt-item" VerticalAlign="Middle"></AlternatingItemStyle>
										<ItemStyle CssClass="list-item" VerticalAlign="Middle"></ItemStyle>
										<HeaderStyle CssClass="object-list-header"></HeaderStyle>
										<Columns>
											<asp:HyperLinkColumn DataNavigateUrlField="UserID" DataNavigateUrlFormatString="UserDetails.aspx?id={0}"
												DataTextField="DisplayName" SortExpression="DisplayName" HeaderText="{UCOL_NAME}">
												<HeaderStyle Width="30%" CssClass="object-list-header"></HeaderStyle>
												<ItemStyle CssClass="list-item-inst"></ItemStyle>
											</asp:HyperLinkColumn>
											<asp:BoundColumn DataField="RoleName" SortExpression="RoleName" HeaderText="{UCOL_ROLE}">
												<HeaderStyle Width="10%" CssClass="object-list-header"></HeaderStyle>
												<ItemStyle CssClass="list-item-inst"></ItemStyle>
											</asp:BoundColumn>
											<asp:HyperLinkColumn DataNavigateUrlField="CustomerID" DataNavigateUrlFormatString="CustDetails.aspx?id={0}"
												DataTextField="CompanyName" SortExpression="CompanyName" HeaderText="{UCOL_CUST}">
												<HeaderStyle Width="15%" CssClass="object-list-header"></HeaderStyle>
												<ItemStyle CssClass="list-item-inst"></ItemStyle>
											</asp:HyperLinkColumn>
											<asp:BoundColumn DataField="Enabled" SortExpression="Enabled" HeaderText="{UCOL_STATUS}" DataFormatString="{0:d}">
												<HeaderStyle HorizontalAlign="Left" Width="10%" CssClass="object-list-header"></HeaderStyle>
												<ItemStyle HorizontalAlign="Left" CssClass="list-item-inst"></ItemStyle>
											</asp:BoundColumn>
											<asp:TemplateColumn HeaderText="{UCOL_PERM}">
												<HeaderStyle Width="10%" CssClass="object-list-header"></HeaderStyle>
												<ItemStyle HorizontalAlign="Center" CssClass="list-action-item" VerticalAlign="Top"></ItemStyle>
												<ItemTemplate>
													<TABLE id="tblButtons" height="16" cellSpacing="1" cellPadding="1" width="95" border="0">
														<TR>
															<TD width="95" align="center">
																<A class=blacklineheight title="Edit User" style="border:0px;" href='EditSecurity.aspx?type=2&amp;UserID=<%# DataBinder.Eval(Container, "DataItem.UserID") %>'>
																	<IMG alt="Edit permissions" src="images/edit.gif" border="0"></A>
															</TD>
														</TR>
													</TABLE>
												</ItemTemplate>
											</asp:TemplateColumn>
										</Columns>
										<PagerStyle HorizontalAlign="Center" Visible="False" Mode="NumericPages"></PagerStyle>
									</asp:datagrid>
									<uc2:RichGridPagers id="RichGridPagers2" runat="server"></uc2:RichGridPagers>
								</TD>
							</TR>
							<TR id="tdSingleUser" runat="server">
								<TD vAlign="top" align="center"><FONT color="red"><FONT size="4">Easy Projects .NET 
											Personal Edition supports only a single user. </FONT>
										<BR>
										<FONT size="4">To add more users, please order additional licenses at</FONT></FONT>
									<BR>
									<BR>
									<A class="nnn" href="http://www.easyprojects.net/pricing.asp"><FONT size="3">http://www.easyprojects.net/pricing.asp</FONT></A></TD>
							</TR>
						</TABLE>
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
