<%@ Control Language="vb" AutoEventWireup="false" Codebehind="CustomFieldsCtrl.ascx.vb" Inherits="EasyProjects.Web.GUI.CustomFieldsCtrl" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
	<P>
		<strong>{CPT_CUSTFIELDS}</strong>
	<P>
	<asp:datagrid id="dgFields" runat="server" AutoGenerateColumns="False" CellPadding="2" GridLines="None">
		<AlternatingItemStyle VerticalAlign="Top"></AlternatingItemStyle>
		<ItemStyle VerticalAlign="Top"></ItemStyle>
		<HeaderStyle CssClass="title"></HeaderStyle>
		<Columns>
			<asp:TemplateColumn HeaderText="{COL_FIELD}">
				<ItemTemplate>
					<table style="width:100%;height:100%" cellpadding="0" border="0" >
						<tr>
							<td align="left" ><strong><asp:Label id="DisplayNameField" CssClass="CustomFieldPadding" runat="server"><%# DataBinder.Eval(Container, "DataItem.DisplayName") %></asp:Label></strong></td>
						</tr>
						<tr>
							<td align="left">
								<asp:TextBox id="textBoxString"  runat="server" Width="489px" CssClass="input CustomFieldPadding" MaxLength="50" Visible="False"></asp:TextBox>
								<asp:TextBox id="textBoxDecimal" MaxLength="8" runat="server" Width="65px" CssClass="input CustomFieldPadding" Visible="False"></asp:TextBox>
								<asp:RangeValidator id=rvalDecimal runat="server" Visible="False" Enabled="False" ErrorMessage='<%# DataBinder.Eval(Container, "DataItem.DisplayName") + " : wrong value format"%>' ControlToValidate="textBoxDecimal" Type="Currency" MaximumValue="99999999" MinimumValue="0">*</asp:RangeValidator>
								<jsc:JSCalendarControl id="jsdpDate" runat="server" Width="100px" CssClass="input" Visible="False" />
								<asp:CheckBox id="chbBoolean"  CssClass="cursorpointer" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.DisplayName")%>' Visible="False"></asp:CheckBox>
							</td>
						</tr>						
					</table>				
				</ItemTemplate>
			</asp:TemplateColumn>			
		</Columns>
	</asp:datagrid>
