<%@ Page Language="vb" AutoEventWireup="false" Codebehind="CustomFieldsSetup.aspx.vb" Inherits="EasyProjects.Web.GUI.CustomFieldsSetup"%>
<%@ Register TagPrefix="TimeTrack" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="uc2" TagName="RichGridPagers" Src="./Controls/RichGridPagers.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Administration | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio.NET 7.0" name="GENERATOR">
		<meta content="Visual Basic 7.0" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server" MS_POSITIONING="FlowLayout">
		<FORM id="Administration" method="post" runat="server">
			<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TBODY>
					<tr vAlign="top" height="5%" width="100%">
						<td><timetrack:banner id="Banner1" runat="server"></timetrack:banner></td>
					</tr>
					<tr vAlign="top" height="95%" width="100%">
						<td>
							<TABLE id="Table2" cellSpacing="0" cellPadding="0" width="100%" border="0">
								<TR>
									<TD vAlign="top" height="4">
										<table height="100%" width="100%">
											<tr height="100%">
												<td style="PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px"
													vAlign="top">
													<table class="panel" id="MyTable" title="" cellSpacing="0" cellPadding="0" width="100%"
														border="0" runat="server">
														<tr vAlign="top" height="100%">
															<td>
																<TABLE class="tan-border" id="Table3" height="100%" cellSpacing="20" cellPadding="0" width="100%"
																	border="0">
																	<TR>
																		<TD class="title" style="HEIGHT: 23px" colSpan="2">{CUSTOMFIELDSSETUP_TITLE}</TD>
																	</TR>
																	<tr>
																		<td colSpan="2"><asp:validationsummary id="ValidationSummary1" runat="server"></asp:validationsummary></td>
																	</tr>
																	<TR>
																		<TD class="filter-table" colSpan="2">
																			<TABLE class="filter-table" id="Table5" cellSpacing="2" cellPadding="2" width="464" border="0">
																				<TR>
																					<TD vAlign="top" align="left" width="100%" colSpan="1" rowSpan="1">{CPT_ENTITYSELECT}</TD>
																					<TD vAlign="top" align="left" width="80%"><asp:dropdownlist id="ddlEntity" runat="server" Width="200px" CssClass="input" AutoPostBack="True"></asp:dropdownlist></TD>
																				</TR>
																			</TABLE>
																		</TD>
																	</TR>
																	<TR vAlign="top">
																		<td><STRONG><FONT size="1"> {CPT_FIELDSGRID}
																					<asp:customvalidator id="cvOperationError" runat="server" ErrorMessage="{OPERATION_ERROR}">*</asp:customvalidator><BR>
																					<BR>
																				</FONT></STRONG>
																			<table cellpadding="0" cellspacing="0" border="0">
																				<tr>
																					<td>
																						<asp:datagrid id="dgFields" runat="server" Width="500px" BorderWidth="0px" AllowSorting="True"
																							CellPadding="2" AllowPaging="True" AutoGenerateColumns="False" BorderColor="White">
																							<AlternatingItemStyle CssClass="list-alt-item"></AlternatingItemStyle>
																							<ItemStyle CssClass="list-item"></ItemStyle>
																							<HeaderStyle CssClass="object-list-header"></HeaderStyle>
																							<Columns>
																								<asp:TemplateColumn SortExpression="DisplayName" HeaderText="{COL_NAME}">
																									<HeaderStyle Font-Size="11px" Font-Underline="True" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left"
																										Width="350px" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																									<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																									<ItemTemplate>
																										<%# DataBinder.Eval(Container, "DataItem.DisplayName") %>
																									</ItemTemplate>
																									<EditItemTemplate>
																										<asp:TextBox id=tbEdName runat="server" Width="350px" CssClass="standard-text" MaxLength="50" text='<%# DataBinder.Eval(Container, "DataItem.DisplayName") %>'>
																										</asp:TextBox>
																										<asp:RequiredFieldValidator id="rfvEdName" runat="server" ErrorMessage="{NAME_REQD}" ControlToValidate="tbEdName"
																											Display="Dynamic">*</asp:RequiredFieldValidator>
																										<asp:CustomValidator id="cvEdDuplicateFieldName" runat="server" ErrorMessage="{NAME_DUP}">*</asp:CustomValidator>
																									</EditItemTemplate>
																								</asp:TemplateColumn>
																								<asp:TemplateColumn SortExpression="DataType" HeaderText="{COL_TYPE}">
																									<HeaderStyle Font-Size="11px" Font-Underline="True" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left"
																										Width="20%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																									<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																									<ItemTemplate>
																										<%# formatDatatypeColumn(DataBinder.Eval(Container, "DataItem.DataType")) %>
																									</ItemTemplate>
																									<EditItemTemplate>
																										<%# formatDatatypeColumn(DataBinder.Eval(Container, "DataItem.DataType")) %>
																									</EditItemTemplate>
																								</asp:TemplateColumn>
																								<asp:TemplateColumn HeaderText="{COL_ACTION}">
																									<HeaderStyle Font-Size="11px" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left" Width="15%"
																										CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																									<ItemStyle HorizontalAlign="Center" CssClass="list-action-item" VerticalAlign="Middle"></ItemStyle>
																									<ItemTemplate>
																										<asp:ImageButton id="btnEdit" runat="server" ImageUrl="images/edit.gif" CausesValidation="False"
																											CommandName="Edit" ToolTip="{TOOLTIP_EDIT_FIELD}"></asp:ImageButton>
																										<asp:ImageButton id="btnDelete" runat="server" ImageUrl="images/delete.gif" CausesValidation="False"
																											CommandName="Delete" ToolTip="{TOOLTIP_DELETE_FIELD}"></asp:ImageButton>
																									</ItemTemplate>
																									<EditItemTemplate>
																										<asp:ImageButton id="btnSave" runat="server" ImageUrl="images/icon-floppy.gif" CommandName="Update"
																											ToolTip="{TOOLTIP_SAVE_FIELD}"></asp:ImageButton>
																										<asp:ImageButton id="btnCancel" runat="server" ImageUrl="images/cancel.gif" CausesValidation="False"
																											CommandName="Cancel" ToolTip="{TOOLTIP_CANCEL_EDITING}"></asp:ImageButton>
																									</EditItemTemplate>
																								</asp:TemplateColumn>
																							</Columns>
																							<PagerStyle Visible="False" HorizontalAlign="Center"></PagerStyle>
																						</asp:datagrid>
																						<uc2:RichGridPagers id="RichGridPagersFields" runat="server"></uc2:RichGridPagers>
																					</td>
																				</tr>
																			</table>
																			<BR>
																			<TABLE id="Table1" cellpadding="0" cellspacing="0" border="0">
																				<TR>
																					<TD style="PADDING-LEFT: 5px" vAlign="top" align="center" width="355" rowSpan="10">
																						<asp:textbox id="tbName" runat="server" Width="350px" CssClass="standard-text" MaxLength="50"></asp:textbox>
																						<asp:customvalidator id="cvFieldNameRequired" runat="server" ErrorMessage="{NAME_REQD}">*</asp:customvalidator>
																						<asp:customvalidator id="cvDuplicateFieldName" runat="server" ErrorMessage="{NAME_DUP}">*</asp:customvalidator>
																					</TD>
																					<TD vAlign="top" align="center"><asp:dropdownlist id="ddlType" runat="server" CssClass="standard-text"></asp:dropdownlist></TD>
																					<TD vAlign="top" align="center"><asp:imagebutton id="btnFieldAdd" runat="server" ImageUrl="images/add.png"></asp:imagebutton></TD>
																				</TR>
																			</TABLE>
																			&nbsp;&nbsp;
																		</td>
																	</TR>
																</TABLE>
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
									</TD>
								</TR>
							</TABLE>
						</td>
						<TD width="11"><IMG height="11" src="images/spacer.gif" width="11"></TD>
					</tr>
					<TR>
						<TD vAlign="top" colSpan="5" height="15"><IMG height="15" src="images/spacer.gif" width="15"></TD>
					</TR>
				</TBODY>
			</table>
			</TD></TR><tr height="*">
				<td vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></td>
			</tr>
			</TBODY></TABLE></FORM>
		</TR></TBODY></TABLE>
		<script language="vb" runat="server">
	Protected Function formatDataTypeColumn(ByVal val As Mirrorm.Core.Metadata.DataTypeEnum) As String
		Return "{FTYPE_" & val.ToString().ToUpper & "}"
	End Function
		</script>
	</body>
</HTML>
