<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="uc1" TagName="UploadControl" Src="UploadControl.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="TaskImportCsv.aspx.vb" Inherits="EasyProjects.Web.GUI.TaskImportCsv" %>
<%@ Register TagPrefix="cc3" Namespace="EasyProjects.Web.DatePicker" Assembly="EasyProjects.Web.DatePicker" %>
<%@ Register TagPrefix="uc1" TagName="WflHistory" Src="WflHistory.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Task Import - Easy Projects</title>
		<meta content="Microsoft Visual Studio.NET 7.0" name="GENERATOR">
		<meta content="Visual Basic 7.0" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" MS_POSITIONING="FlowLayout" runat="server">
		<FORM id="ProjectImportFile" method="post" runat="server">
			<INPUT id="doDuplicate" type="hidden" name="doDuplicate" runat="server"> <INPUT id="hProjID" type="hidden" name="hProjID" runat="server">
			<INPUT id="projName" type="hidden" name="projName" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD>
						<table height="100%" width="100%">
							<TR>
								<TD id="left" vAlign="top" width="60%">
									<TABLE class="panel" id="Table2" height="100%" cellSpacing="2" cellPadding="2" width="100%"
										border="0">
										<TR height="1%">
											<TD class="title">{TASKIMPORTCSV_TITLE}</TD>
										</TR>
										<tr vAlign="top">
											<td>
												<TABLE id="Table3" cellSpacing="20" cellPadding="0" width="100%" border="0">
													<TR>
														<TD vAlign="top" colSpan="2"><strong><asp:label id="lSelFile" runat="server">{SELECT_FILE}</asp:label><asp:label id="ErrorFile" runat="server" ForeColor="Red"></asp:label></strong>
															<TABLE id="fileSelectTable" style="BORDER-TOP-STYLE: none; BORDER-RIGHT-STYLE: none; BORDER-LEFT-STYLE: none; BORDER-BOTTOM-STYLE: none"
																cellSpacing="2" cellPadding="2" width="300" border="0" runat="server">
																<TR>
																	<TD style="WIDTH: 400px"><INPUT class="standard-text" id="AttachedCSV" type="file" size="63" name="AttachedCSV"
																			runat="server"></TD>
																	<TD><cc2:myimagebutton id="submitCSV" runat="server" DisabledImageUrl="images/add_disabled.png" ImageUrl="images/add.png"></cc2:myimagebutton></TD>
																</TR>
															</TABLE>
															<asp:checkbox id="cbSkipFirstLine" runat="server" Text="{USE_TITLES}"></asp:checkbox></TD>
													</TR>
													<TR>
														<td><strong><asp:label id="lProj" runat="server" Visible="False">{SELECT_PROJECT}</asp:label></strong><br>
															<asp:dropdownlist id="ddlProjects" runat="server" Width="320px"></asp:dropdownlist><br>
														</td>
													</TR>
													<TR>
														<td style="HEIGHT: 78px">
															<TABLE id="userMappingTable" cellSpacing="2" cellPadding="2" width="100%" border="0" runat="server">
																<TR>
																	<TD class="header-gray"><strong>{PROJECT_MEMBER_MAPPING}</strong></TD>
																</TR>
																<TR>
																	<TD>{PMM_INFO}</TD>
																</TR>
																<TR>
																	<TD><asp:datagrid id="dgCollumns" runat="server" Width="100%" BorderStyle="None" BorderColor="#EEF3EF"
																			font-names="Verdana" Font-Name="Verdana" AutoGenerateColumns="False" CellPadding="2">
																			<AlternatingItemStyle VerticalAlign="Top" BackColor="Lavender"></AlternatingItemStyle>
																			<ItemStyle VerticalAlign="Top" BackColor="#AEBCE6"></ItemStyle>
																			<HeaderStyle Font-Size="11px" Font-Names="Verdana" Font-Bold="True" Width="30%" CssClass="grid-header"></HeaderStyle>
																			<Columns>
																				<asp:BoundColumn DataField="Value" HeaderText="{COL_TASK_PROPERTY}">
																					<HeaderStyle HorizontalAlign="Left" Width="70%" CssClass="grid-header" VerticalAlign="Middle"></HeaderStyle>
																					<ItemStyle CssClass="grid-first-item"></ItemStyle>
																				</asp:BoundColumn>
																				<asp:BoundColumn Visible="False" DataField="Index" HeaderText="Index"></asp:BoundColumn>
																				<asp:TemplateColumn HeaderText="{COL_SELECT_COLUMNS}">
																					<HeaderStyle Width="30%" CssClass="grid-header"></HeaderStyle>
																					<ItemStyle CssClass="grid-item"></ItemStyle>
																					<ItemTemplate>
																						<asp:DropDownList id=ddlCollumn runat="server" Width="100%" DataValueField="Index" DataTextField="Value" DataSource="<%# csvCollumns %>" CssClass="Standard-text" AutoPostBack="false">
																						</asp:DropDownList>
																					</ItemTemplate>
																				</asp:TemplateColumn>
																			</Columns>
																		</asp:datagrid></TD>
																</TR>
															</TABLE>
														</td>
													</TR>
													<TR>
														<TD vAlign="top" colSpan="2"></TD>
													</TR>
													<TR>
														<TD align="right"><cc2:myimagebutton id="acceptCollumns" runat="server" ImageUrl="images/save.png" Visible="False"></cc2:myimagebutton></TD>
													</TR>
												</TABLE>
											</td>
										</tr>
									</TABLE>
								</TD>
								<TD id="right" vAlign="top" width="40%" rowSpan="2">
									<TABLE class="panel" id="Table11" cellSpacing="2" cellPadding="2" width="100%" border="0">
										<TR>
											<TD vAlign="top" width="21"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle"></TD>
											<TD vAlign="top">{TIC_INFO}<BR>
											</TD>
										</TR>
										<TR>
											<TD colSpan="2">{TIC_SAMPLE}<BR>
											</TD>
										</TR>
										<TR>
											<TD vAlign="top" width="21"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle"></TD>
											<TD vAlign="top">{TIC_DTFORMAT_INFO}<BR>
												<asp:Label id="lblDateTimeFormat" runat="server"></asp:Label>
											</TD>
										</TR>
									</TABLE>
								</TD>
							</TR>
						</table>
					</TD>
				</TR>
				<tr height="*">
					<td vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></td>
				</tr>
			</TABLE>
		</FORM>
	</body>
</HTML>
